<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
    include_once ROOT_DIR . '/engine/classes/bbcode.class.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
} else {
  include_once ROOT_DIR . '/modules/message/menu.php';

  $check_read = mysql_query( "SELECT * FROM messages WHERE (from_id = '" . ( int ) $_GET['id'] . "' and to_id = '" . $_SESSION['iduser'] . "' and m_state = 'inbox' and to_del = 0) or (from_id = '" . $_SESSION['iduser'] . "' and to_id = '" . ( int ) $_GET['id'] . "' and m_state = 'outbox' and from_del = 0) ORDER BY data ASC" );
  if ( mysql_num_rows( $check_read ) > 0 ) {
    
	#Выборка нужной информации о пользователе
	$get_user_info_msg = mysql_fetch_array( mysql_query( "SELECT avatar, username, id, logindate, sex FROM user WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1" ) );
	$msg_online = mysql_query( "SELECT id FROM online WHERE iduser = '" . $get_user_info_msg['id'] . "' LIMIT 1" );
    
	#Пол пользователя
    if ( $get_user_info_msg['sex'] == 0 ) {
	  $ref_sex = 'заходил';
    } else {
	  $ref_sex = 'заходила';
    }
	
	#формируем дату последнего входа
	$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
	
	if ( $get_user_info_msg['logindate'] == 0 ) {
	  $user_online_msg = '<div class="ref-user-offline">В сети: еще не ' . $ref_sex . '</div>';
    } else
    if ( mysql_num_rows( $msg_online ) ) {
	  $user_online_msg = '<div class="ref-user-online">В сети: онлайн</div>';
    } else
    if ( date( 'd.m.Y', $get_user_info_msg['logindate'] ) == date( 'd.m.Y', time() ) ) {
	  $user_online_msg = '<div class="ref-user-offline">В сети: сегодня в ' . date( 'H:i', $get_user_info_msg['logindate'] ) . '</div>';
    } else {
	  $user_online_msg = '<div class="ref-user-offline" >В сети: ' . $ref_sex . ' ' . ( int ) date( 'd', $get_user_info_msg['logindate'] ) . ' ' . $month[( int ) date( 'm', $get_user_info_msg['logindate'] ) - 1] . ' ' . date( 'Y', $get_user_info_msg['logindate'] ) . '</div>';
    }
	?>
      <script type="text/javascript">
		$(document).ready(function() {
		  if (navigator.userAgent.indexOf("Firefox") > 0) {
		    $('.wrap_read_mess').animate({scrollTop:10000000000001}, 0);
		  } else {
		    $('.wrap_read_mess').scrollTop(1000000000000);
		  }
		  $('#msgtext').focus();
		  reloadpage.leftprofiles();
		});
        
		var setIid;
		setIid = setInterval('msgread()', 2000);
		
		function msgread() {
		  $.post('modules/message/ajax_read.php', {
			id: <?=( int ) $_GET['id']?>
		  }, function(data) {
			if (data.ok == 1) {
			  $('body').append('<audio autoplay="" class="qplay"><source src="theme/sound/msg.mp3" ></audio>');
			  for(var i = 0; i <= data.mread.length - 1; i++) {
				  
				$('.wrap_read_mess').append('<div class="wrap_in_mess"><div class="pred-mail-msg-ava"><img src="/temp/avatar/'+data.mread[i].avatar+'" width="45" height="45" class="img-circle" alt="" /></div><div class="in_mess_text_msg">'+data.mread[i].text+'<div class="time_mess_msg">'+data.mread[i].data+'</div></div></div>');
			  
			  }
			  if (navigator.userAgent.indexOf("Firefox") > 0) {
				$('.wrap_read_mess').animate({scrollTop:10000000000001}, 0);
			  } else {
				$('.wrap_read_mess').scrollTop(1000000000000);
			  }
			}
		  }, "json");
		  $('.qplay').remove();
		}
		
		document.onkeyup = function (e) {
			e = e || window.event;
			if (e.keyCode === 13 && event.shiftKey) {
				msg.Send_d(<?=( int ) $_GET['id']?>, $('#forum_msg').val(), '<?=substr( md5( $message_md5 . ( int ) $_GET['id'] ), 0, 22 )?>'); 
				return false;
			}
			// Отменяем действие браузера
			return false;
		}
		
		function descchange(elem) {
		  if (elem.value.length > 3000) {
		    elem.value = elem.value.substr(0,3000);
		  }
		  $('#allmsgdialog').html(3000-elem.value.length);
	    }
	    tm = setInterval(function() {
		  if (location.pathname.indexOf('posts') !== -1) {
		    if ($('#forum_msg').val() != '') {
		      descchange(document.getElementById('forum_msg'));
		    }
		  } else {
		    clearInterval(tm);
		  }
		
	    }, 100);
	 
	    $(document).ready(function(){    
		  $('.bb-b-forum').tipTip({defaultPosition:'right'});
		  $('.bb-i-forum').tipTip({defaultPosition:'right'});
		  $('.bb-u-forum').tipTip({defaultPosition:'right'});
		  $('.bb-s-forum').tipTip({defaultPosition:'right'});
		  $('.bb-sub-forum').tipTip({defaultPosition:'right'});
		  $('.bb-sup-forum').tipTip({defaultPosition:'right'});
		  $('.bb_quotet').tipTip({defaultPosition:'right'});
		  $('.bb_youtube').tipTip({defaultPosition:'right'});
		  $('.bb_link').tipTip({defaultPosition:'right'});
	    });
      </script>
	  
	  <div class="content_bar">
	    <article class="postBox">
		  
		  <div class="user-info-msg-dialog">
			<div class="block-avatar-msg">
			  <img src="/temp/avatar/<?=$get_user_info_msg['avatar']?>" width="45" height="45" class="img-circle" alt="" />
			  
			</div>
			<div class="block-info-msg">
			  <div><?=$get_user_info_msg['username']?></div>
			  <div class="time_mess_msg_head"><?=$user_online_msg?></div>
			</div>
		  </div>
		  <div class="wrap_read_mess" >
		    
			<?
			  while ( $get_mess_row = mysql_fetch_array( $check_read ) ) {
				$info_from_id = mysql_fetch_array( mysql_query( "SELECT username, avatar, id FROM user WHERE id = '" . $get_mess_row['from_id'] . "' LIMIT 1" ) );
				
				mysql_query( "UPDATE messages SET m_type = 1 WHERE id = '" . $get_mess_row['id'] . "' and m_state = 'inbox' and m_type = 0" );
				
				#формируем дату сообщения
				if ( date( 'd.m.Y', $get_mess_row['data'] ) == date( 'd.m.Y', time() ) ) {
				  $mess_time = 'сегодня в ' . date( 'H:i', $get_mess_row['data'] );
				} else
				if ( date( 'd.m.Y', $get_mess_row['data'] ) == date( 'd.m.Y', time() - 86400 ) ) {
				  $mess_time = 'вчера в ' . date( 'H:i', $get_mess_row['data'] );
				} else {
				  $mess_time = ( int ) date( 'd', $get_mess_row['data'] ) . ' ' . $month[( int ) date( 'm', $get_mess_row['data'] ) - 1] . ' ' . date( 'Y', $get_mess_row['data'] )  . ' в ' . date( 'H:i', $get_mess_row['data'] );
				}
				
				if($info_from_id['id'] != $_SESSION['iduser']) {
				  ?>
				    <div class="wrap_in_mess">
					  <div class="in_mess_text_msg">
					    <?=$get_mess_row['text']?>
					    <div class="time_mess_msg"><?=$mess_time?></div>
					  </div>
					  <div class="pred-mail-msg-ava">
					    <img src="/temp/avatar/<?=$info_from_id['avatar']?>" width="45" height="45" class="img-circle" alt="" />
					  </div>
				    </div>
				  <?
				} else {
				  ?>
				    <div class="wrap_in_mess">
					  <div class="pred-mail-msg-ava-user">
					    <img src="/temp/avatar/<?=$info_from_id['avatar']?>" width="45" height="45" class="img-circle" alt="" />
					  </div>
					  <div class="in_mess_text_msg_user">
					    <?=$get_mess_row['text']?>
					    <div class="time_mess_msg"><?=$mess_time?></div>
					  </div>
					  
				    </div>
				  <?	
				}
			  }
			?>
		  </div>
		  <div class="wrap_in_mess_form">
			<div class="bbcode-panel-msg-post " >
				<span onclick="qbb('[b]','[/b]','forum_msg')" id="bb_b" title="Полужирный текст" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
				<span onclick="qbb('[i]','[/i]','forum_msg')" id="bb_i" title="Наклонный текст" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
				<span onclick="qbb('[u]','[/u]','forum_msg')" id="bb_u" title="Подчеркнутый текст" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
				<span onclick="qbb('[s]','[/s]','forum_msg')" id="bb_s" title="Зачеркнутый текст" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
				<span onclick="qbb('[sub]','[/sub]','forum_msg')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
				<span onclick="qbb('[sup]','[/sup]','forum_msg')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
				<span onclick="forum.ShowSmiles();" class="bb_quotet" id="" title="Выбрать смайлы"><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles_forum_post" ></div></span>
				<span onclick="qbb('[video]','[/video]','forum_msg')" class="bb_youtube" id="video" title="Вставить видео (поддерживаются видео с таких сервисов как – youtube, vk, facebook, rutube, mail.ru и другие.  Просто вставьте ссылку на видео, в теги video)."><i class="fa fa-youtube-play" aria-hidden="true"></i></span>
				<span onclick="qbb('[images]','[/images]','forum_msg')" class="bb_youtube" id="images_forum_post" title="Вставить изображение (поддерживаются форматы jpg/png/bmp/gif)."><i class="fa fa-picture-o" aria-hidden="true"></i></span>
				<span onclick="qbb('[a]','[/a]','forum_msg')" class="bb_link" id="link_forum" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
				<div id="allmsgdialog" class="allmsgdialog" >3000</div>
			</div>
			<textarea class="form-control wrap_in_mess_textarea" id="forum_msg" style="height: 52px; width: 600px;  border: 1px solid #DBDBDB;" onkeyup="descchange(this);"></textarea>
			<div class="button-msg-send">
			  <button id="sendMsg" onclick="msg.Send_d(<?=( int ) $_GET['id']?>, $('#forum_msg').val(), '<?=substr( md5( $message_md5 . ( int ) $_GET['id'] ), 0, 22 )?>'); return false;" type="button" class="btn btn-primary btn-sm" style="height: 22px;"><i class="fa fa-paper-plane" aria-hidden="true"></i> Отправить</button>
			</div>
		  </div>
	  
	    </article>
	  </div>   
	  
    <?
} else {
    echo '<div style="text-align:center; margin-top:56px; padding:20px 10px; font-weight:bold; color:#999999;">Сообщений не найдено.</div>';
}
}
?>




